! Exemple de boucle WHILE
! Auteur: M. Planeto 03/03/2013
PROGRAM boucle_while
USE imprime
IMPLICIT NONE 
  integer :: i, i2, nfin
  CALL invite(nfin)
  i = 0
  DO WHILE (i < nfin)    !! TANT QUE CONDITION VRAIE...
    CALL carre(i,i2)     !! ... ACTION
    print*,i,"carre=",i2 !! ... ACTION
    i = i+1              !! ... ACTION necessaire ici
  END DO                 !! FERMETURE DE BOUCLE
END PROGRAM boucle_while
